Name: jakarta-oro
Version: 2.0.8
Release: alt0.M24.1

Summary: Jakarta full regular expressions API package
License: Apache Software License
Group: Development/Java
Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Url: http://jakarta.apache.org/oro/

Source0: http://www.apache.org/dist/jakarta/oro/source/jakarta-oro-%{version}.tar.gz
Source1: jakarta-oro-build.properties 

BuildPreReq: /proc
BuildPreReq: j2se1.4-sun-devel ant rpm-build-java
BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2

%description
The Jakarta-ORO Java classes are a set of text-processing Java classes
that provide Perl5 compatible regular expressions, AWK-like regular
expressions, glob expressions, and utility classes for performing
substitutions, splits, filtering filenames, etc. This library is the
successor to the OROMatcher, AwkTools, PerlTools, and TextTools
libraries from ORO, Inc. (www.oroinc.com). They have been donated to the
Jakarta Project by Daniel Savarese (www.savarese.org), the copyright
holder of the ORO libraries. Daniel will continue to participate in
their development under the Jakarta Project.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadocs for %name

%package samples
Summary: Samples for %name
Group: Development/Java
Requires: %name = %version-%release

%description samples
Samples for %name

%prep
%setup -qn jakarta-oro-%version
%__cp %SOURCE1 build.properties

%build
%__ant jar javadocs

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_datadir/%name

%__cp jakarta-oro.jar %buildroot%_javadir
%__cp {CHANGES,LICENSE} %buildroot%_docdir/%name-%version/
%__mv docs/api %buildroot%_javadocdir/%name
%__mv src/java/examples %buildroot%_datadir/%name/samples

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%files samples
%_datadir/%name

%changelog
* Tue Mar 22 2005 Alexey Borovskoy <alb@altlinux.ru> 2.0.8-alt0.M24.1
- Backports to Master 2.4
- Sync with my local repo

* Thu Feb 26 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.0.8-alt1
- New upstream release

* Tue Sep 16 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.0.7-alt1
- Adapted for Sisyphus from JPackage project.

